import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ClaimStructureComponent } from './components/claim-structure/claim-structure.component';
import { DeletedStructuresComponent } from './components/deleted-structures/deleted-structures.component';
import { EspaceCoopCNFSComponent } from './components/espace-coop-cnfs/espace-coop-cnfs.component';
import { ManageLockdownInfoComponent } from './components/lockdown-info/manage-lockdown-info.component';
import { ManageEmployersComponent } from './components/manage-employers/manage-employers.component';
import { ManageJobsComponent } from './components/manage-jobs/manage-jobs.component';
import { ManageUsersComponent } from './components/manage-users/manage-users.component';
import { AdminStructuresListComponent } from './components/structures-list/admin-structures-list.component';

export const AdminRoutes = {
  deletedStructures: {
    link: 'admin/deleted-structures',
    path: 'deleted-structures',
  },
  employersList: {
    link: 'admin/employers-list',
    path: 'employers-list',
  },
  jobsList: {
    link: 'admin/jobs-list',
    path: 'jobs-list',
  },
  lockdownInfo: {
    link: 'admin/lockdown-info',
    path: 'lockdown-info',
  },
  manageUsers: {
    link: 'admin/manage-users',
    path: 'manage-users',
  },
  pendingStructures: {
    link: 'admin/pending-structure',
    path: 'pending-structure',
  },
  structuresList: {
    link: 'admin/structure-list',
    path: 'structure-list',
  },
  espaceCoopCNFS: {
    link: 'admin/espaceCoopCNFS',
    path: 'espaceCoopCNFS',
  },
};

const routes: Routes = [
  {
    path: '',
    component: ClaimStructureComponent,
  },
  { path: AdminRoutes.deletedStructures.path, component: DeletedStructuresComponent },
  { path: AdminRoutes.employersList.path, component: ManageEmployersComponent },
  { path: AdminRoutes.jobsList.path, component: ManageJobsComponent },
  { path: AdminRoutes.lockdownInfo.path, component: ManageLockdownInfoComponent },
  { path: AdminRoutes.manageUsers.path, component: ManageUsersComponent },
  { path: AdminRoutes.pendingStructures.path, component: ClaimStructureComponent },
  {
    path: AdminRoutes.structuresList.path,
    component: AdminStructuresListComponent,
  },
  { path: AdminRoutes.espaceCoopCNFS.path, component: EspaceCoopCNFSComponent },
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AdminRoutingModule {}
