import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AgGridModule } from 'ag-grid-angular';
import { SharedModule } from '../shared/shared.module';
import { AdminRoutingModule } from './admin-routing.module';
import { ClaimStructureComponent } from './components/claim-structure/claim-structure.component';
import { DeletedStructuresComponent } from './components/deleted-structures/deleted-structures.component';
import { EspaceCoopCNFSComponent } from './components/espace-coop-cnfs/espace-coop-cnfs.component';
import { ManageLockdownInfoComponent } from './components/lockdown-info/manage-lockdown-info.component';
import { DeleteEmployerComponent } from './components/manage-employers/delete-employer/delete-employer.component';
import { ManageEmployersComponent } from './components/manage-employers/manage-employers.component';
import { ValidateEmployerComponent } from './components/manage-employers/validate-employer/validate-employer.component';
import { AttachedJobsComponent } from './components/manage-jobs/attached-jobs/attached-jobs.component';
import { AttachedUsersComponent } from './components/manage-jobs/attached-users/attached-users.component';
import { DeleteJobComponent } from './components/manage-jobs/delete-job/delete-job.component';
import { DeleteJobsGroupComponent } from './components/manage-jobs/delete-jobs-group/delete-jobs-group.component';
import { JobPersonalOfferComponent } from './components/manage-jobs/jobPersonalOffer/job-personal-offer';
import { ManageJobsComponent } from './components/manage-jobs/manage-jobs.component';
import { ValidateJobComponent } from './components/manage-jobs/validate-job/validate-job.component';
import { AdministredStructuresComponent } from './components/manage-users/administred-structures/administred-structures.component';
import { DeleteUserComponent } from './components/manage-users/delete-user/delete-user.component';
import { EmployerRendererComponent } from './components/manage-users/employer-renderer/employer-renderer.component';
import { JobRendererComponent } from './components/manage-users/job-renderer/job-renderer.component';
import { ManageUsersComponent } from './components/manage-users/manage-users.component';
import { NavBarComponent } from './components/nav-bar/nav-bar.component';
import { AdminStructuresListComponent } from './components/structures-list/admin-structures-list.component';

@NgModule({
  declarations: [
    ClaimStructureComponent,
    AdminStructuresListComponent,
    ManageLockdownInfoComponent,
    ManageUsersComponent,
    JobRendererComponent,
    EmployerRendererComponent,
    JobPersonalOfferComponent,
    ValidateJobComponent,
    ValidateEmployerComponent,
    DeleteUserComponent,
    DeleteJobComponent,
    DeleteJobsGroupComponent,
    DeleteEmployerComponent,
    AdministredStructuresComponent,
    AttachedUsersComponent,
    AttachedJobsComponent,
    ManageJobsComponent,
    ManageEmployersComponent,
    DeletedStructuresComponent,
    NavBarComponent,
    EspaceCoopCNFSComponent,
  ],
  imports: [CommonModule, AdminRoutingModule, SharedModule, AgGridModule],
})
export class AdminModule {}
