import { Component, OnInit } from '@angular/core';
import { ParametersService } from '../../services/parameters.service';

@Component({
  selector: 'app-admin-manage-lockdown-info',
  templateUrl: './manage-lockdown-info.component.html',
  styleUrls: ['../../admin.scss'],
})
export class ManageLockdownInfoComponent implements OnInit {
  public isLoading = true;
  public lockdownInfoDisplay: boolean;
  public error = false;
  constructor(private parametersService: ParametersService) {}

  ngOnInit(): void {
    this.parametersService.getParameters().subscribe((params) => {
      this.lockdownInfoDisplay = params.lockdownInfoDisplay;
      this.isLoading = false;
    });
  }

  public toggleLockdownInfo(): void {
    this.lockdownInfoDisplay = !this.lockdownInfoDisplay;
    this.parametersService.SetLockdownInfoDisplay(this.lockdownInfoDisplay).subscribe(
      () => null,
      () => {
        this.error = true;
      }
    );
  }
}
