import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { RuntimeConfigLoaderService } from 'runtime-config-loader';
import { ButtonTypeV3 } from '../../../shared/components/v3/button/button-type.enum';
import { AdminRoutes } from '../../admin-routing.module';

@Component({
  selector: 'app-admin-nav-bar',
  templateUrl: './nav-bar.component.html',
})
export class NavBarComponent {
  public ghostLink = this.runtimeConfigLoaderService.getConfigObjectKey('ghostAdmin');
  public buttonTypeEnumV3 = ButtonTypeV3;
  public routes = AdminRoutes;

  constructor(private runtimeConfigLoaderService: RuntimeConfigLoaderService, public router: Router) {}
}
