import { ActivatedRouteSnapshot, Router, UrlTree } from '@angular/router';
import { Injectable } from '@angular/core';
/**
 * Guard to assert that we are coming from the structure form. Otherwise redirect to home
 */
@Injectable()
export class PersonalOfferGuard {
  constructor(private router: Router) {}

  canActivate(route: ActivatedRouteSnapshot): UrlTree | boolean {
    if (
      route.routeConfig.path === 'personaloffer' &&
      (this.router.routerState.snapshot.url === '/profile' ||
        this.router.routerState.snapshot.url === '/form/profile' ||
        this.router.routerState.snapshot.url === '/form/structure' ||
        this.router.routerState.snapshot.url.includes('/join-request/'))
    ) {
      return true;
    }
    return this.router.parseUrl('/home');
  }
}
