import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';

@Component({
  selector: 'app-structure-hours',
  templateUrl: './structure-hours.component.html',
  styleUrls: ['./structure-hours.component.scss'],
})
export class StructureHoursComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() hoursForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() hours = new EventEmitter<any>();
  @Output() hoursError = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public updateHours(value): void {
    this.hours.emit(value);
  }
  public setHoursError(): void {
    this.hoursError.emit();
  }
  public goBack(): void {
    history.back();
  }
}
