import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { formUtils } from 'src/app/utils/formUtils';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-structure-labels',
  templateUrl: './structure-labels.component.html',
  styleUrls: ['./structure-labels.component.scss'],
})
export class StructureLabelsComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Input() labelsQualifications: Category;
  @Output() validateForm = new EventEmitter<any>();
  @Output() checkChange = new EventEmitter<any>();

  public formUtils = new formUtils();
  async ngOnInit(): Promise<void> {
    this.validateForm.emit();
  }
  // Check if a FormControl value is in FormArray
  public isInArray(term: string, formControlName: string): boolean {
    return this.formUtils.isInCategoryArray(term, formControlName, this.structureForm);
  }
  public onCheckChange(event: boolean, formControlName: string, modality: string): void {
    this.checkChange.emit({
      event,
      formControlName,
      value: modality,
    });
  }
  public goBack(): void {
    history.back();
  }
}
