import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { ButtonType } from '../../../../shared/components/button/buttonType.enum';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-structure-solidarity-material',
  templateUrl: './structure-solidarity-material.component.html',
  styleUrls: ['./structure-solidarity-material.component.scss'],
})
export class StructureSolidarityMaterialComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() solidarityMaterial: Category;
  @Input() isEditMode: boolean;
  @Output() updateChoice = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();

  public buttonTypeEnum = ButtonType;

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public updateChoiceSolidarityMaterial(choice: string): void {
    this.updateChoice.emit({ formControlName: 'categories.solidarityMaterial', choice });
  }

  public isInArray(choice: string): boolean {
    return this.structureForm.get('categories').get('solidarityMaterial')?.value.includes(choice);
  }

  public goBack(): void {
    history.back();
  }
}
