import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { CategoriesToggle } from 'src/app/models/categoriesToggle.model';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-structure-training-type',
  templateUrl: './structure-training-type.component.html',
})
export class StructureTrainingTypeComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() trainingCategories: CategoriesToggle[];
  @Input() isEditMode: boolean;
  @Output() validateForm = new EventEmitter<any>();

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public setTrainingsFromCategories(categories: Category[]): void {
    for (const categorie of categories) {
      const moduleIds: string[] = categorie.modules.map((module) => module.id);
      if (this.structureForm.get('categories').get(categorie.id)) {
        this.structureForm.get('categories').get(categorie.id).patchValue(moduleIds);
      }
    }
  }
  public goBack(): void {
    history.back();
  }
}
