import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { INeedItem } from '../../../../utils/orientationUtils';
import { NeedsType } from '../../enums/needs.enum';

@Component({
  selector: 'app-multi-radio-form',
  templateUrl: './multi-radio-form.component.html',
  styleUrls: ['./multi-radio-form.component.scss'],
})
export class MultiRadioFormComponent implements OnInit {
  @Input() items: INeedItem[];
  @Input() selected: any;
  @Input() smallWidth = false;
  @Input() displayIcon = false;
  @Output() handleSelect = new EventEmitter<any>();

  public selectedItem: NeedsType | string;

  ngOnInit(): void {
    if (this.selected) this.selectedItem = this.selected;
  }

  public selectItem(key: NeedsType | string): void {
    this.handleSelect.emit(key);
    this.selectedItem = key;
  }
}
