import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ButtonTypeV3 } from '../../../../shared/components/v3/button/button-type.enum';
import { NeedsType } from '../../enums/needs.enum';
import { OnlineDemarche } from '../../enums/onlineDemarche.enum';
import { MediationType } from '../../types/mediation.type';
import { MediationStepType } from '../../types/mediationStep.type';
import { OnlineMediationSteps } from '../../types/onlineDemarcheStep.type';

@Component({
  selector: 'app-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.scss'],
})
export class NavigationComponent {
  @Input() currentStep: OnlineMediationSteps | MediationStepType;
  @Input() currentType: OnlineDemarche | MediationType;
  @Input() isPageValid: boolean;
  @Input() needType: NeedsType;
  @Input() isLastStep = false;
  @Input() hideNavButtons = false;
  @Input() shouldResetOrientation = false;

  @Output() goNext = new EventEmitter<any>();
  @Output() goPrev = new EventEmitter<any>();
  @Output() goReset = new EventEmitter<any>();

  public buttonTypeEnumV3 = ButtonTypeV3;
  public NeedsTypeEnum = NeedsType;
  constructor(private router: Router, private route: ActivatedRoute) {}
  public nextPage(isPrint?: boolean): void {
    this.goNext.emit(isPrint);
  }

  public prevPage(): void {
    this.goPrev.emit();
  }
  public goCarto(): void {
    this.router.navigateByUrl('/acteurs');
  }
  public resetOrientation(): void {
    this.goReset.emit();
  }
}
