import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Utils } from '../../../../../utils/utils';
import { MediationType } from '../../../types/mediation.type';

@Component({
  selector: 'app-mediation-beneficiary-info',
  templateUrl: './mediation-beneficiary-info.component.html',
  styleUrls: ['./mediation-beneficiary-info.component.scss'],
})
export class MediationBeneficiaryInfoComponent implements OnInit {
  @Input() form: UntypedFormGroup;
  @Output() checkValidation = new EventEmitter<any>();
  @Input() currentType: MediationType;
  @Input() public isOrientationRdv = false;
  public utils = new Utils();

  ngOnInit(): void {
    this.checkValidation.emit();
  }

  public isPhone(): boolean {
    return Boolean(this.form.get('phone'));
  }
  public isEmail(): boolean {
    return Boolean(this.form.get('email'));
  }

  public updatedForm(field: string, target: EventTarget): void {
    const value = (target as HTMLInputElement).value;
    if (field === 'phone') {
      this.utils.modifyPhoneInput(this.form, 'phone', target);
    } else this.form.get(field).patchValue(value);

    this.checkValidation.emit();
  }
}
