import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Address } from '../../../../models/address.model';

@Component({
  selector: 'app-orientation-structure-address',
  templateUrl: './orientation-structure-address.component.html',
})
export class OrientationStructureAddressComponent implements OnInit {
  @Input() form: UntypedFormGroup;
  @Output() addressStructure = new EventEmitter<any>();
  // this variable existed but never was defined
  public structureName = '';

  ngOnInit(): void {
    this.setAddressStructure();
  }

  public setAddressStructure(address?: Address): void {
    this.form.get('address').patchValue(address);
    this.addressStructure.emit(address);
  }

  public goBack(): void {
    history.back();
  }
}
