import { NgModule } from '@angular/core';
import { CartoModule } from '../../carto/carto.module';
import { SharedModule } from '../../shared/shared.module';
import { BaseSkillsChoiceComponent } from './base-skills/base-skills-choice/base-skills-choice.component';
import { BaseSkillsComponent } from './base-skills/base-skills.component';
import { EquipmentAccessChoiceComponent } from './equipment-access/equipment-access-choice/equipment-access-choice.component';
import { EquipmentAccessComponent } from './equipment-access/equipment-access.component';
import { EquipmentBuyTypeComponent } from './equipment-buy/equipment-buy-type/equipment-buy-type.component';
import { EquipmentBuyComponent } from './equipment-buy/equipment-buy.component';
import { InformationScreenComponent } from './global-components/information-screen/information-screen.component';
import { MultiRadioFormComponent } from './global-components/multi-radio-form/multi-radio-form.component';
import { NavigationComponent } from './global-components/navigation/navigation.component';
import { NeedsSelectionComponent } from './global-components/needs-selection/needs-selection.component';
import { OrientationRecapComponent } from './global-components/orientation-recap/orientation-recap.component';
import { PrintHeaderComponent } from './global-components/print-header/print-header.component';
import { SelectComponent } from './global-components/select/select.component';
import { StructureOrientatorComponent } from './global-components/structure-orientator/structure-orientator.component';
import { AppointmentEndComponent } from './online-demarch/appointment/appointment-end/appointment-end.component';
import { MakeAppointmentComponent } from './online-demarch/appointment/make-appointment/make-appointment.component';
import { MediationLanguageSelectionComponent } from './online-demarch/mediation-language-selection/mediation-language-selection.component';
import { AccompanimentTypeComponent } from './online-demarch/online-demarch-common/accompaniment-type/accompaniment-type.component';
import { OnlineDemarchComponent } from './online-demarch/online-demarch-common/online-demarch.component';
import { MediationBeneficiaryInfoComponent } from './online-demarch/online-mediation/mediation-beneficiary-info/mediation-beneficiary-info.component';
import { MediationHoursSelectionComponent } from './online-demarch/online-mediation/mediation-hours-selection/mediation-hours-selection.component';
import { OnlineDemarchFormComponent } from './online-demarch/onlineDemarch-form.component';
import { OrientationFormViewComponent } from './orientation-form-view.component';
import { OrientationRoutingModule } from './orientation-routing.module';
import { OrientationCommentsComponent } from './orientation-structure-list/orientation-comments/orientation-comments.component';
import { OrientationStructureAddressComponent } from './orientation-structure-list/orientation-structure-address/orientation-structure-address.component';
import { OrientationStructureListComponent } from './orientation-structure-list/orientation-structure-list.component';

@NgModule({
  declarations: [
    OrientationFormViewComponent,
    NeedsSelectionComponent,
    NavigationComponent,
    MultiRadioFormComponent,
    OnlineDemarchComponent,
    AccompanimentTypeComponent,
    MediationBeneficiaryInfoComponent,
    MediationHoursSelectionComponent,
    OrientationRecapComponent,
    OnlineDemarchFormComponent,
    PrintHeaderComponent,
    OrientationStructureListComponent,
    OrientationStructureAddressComponent,
    EquipmentBuyTypeComponent,
    EquipmentBuyComponent,
    EquipmentAccessChoiceComponent,
    BaseSkillsComponent,
    StructureOrientatorComponent,
    OrientationCommentsComponent,
    EquipmentAccessComponent,
    BaseSkillsChoiceComponent,
    MediationLanguageSelectionComponent,
    SelectComponent,
    MakeAppointmentComponent,
    AppointmentEndComponent,
    InformationScreenComponent,
  ],
  imports: [OrientationRoutingModule, CartoModule, SharedModule],
})
export class OrientationModule {}
