import { Injectable } from '@angular/core';
import { Router, UrlTree } from '@angular/router';
import { ProfileService } from '../profile/services/profile.service';
import { AuthService } from '../services/auth.service';
/**
 * Guard to assert that we are logged in admin. Otherwise redirect to home
 */
@Injectable()
export class AdminGuard {
  constructor(private authService: AuthService, private router: Router, private profileService: ProfileService) {}

  canActivate(): UrlTree | boolean {
    if (this.authService.isLoggedIn() && this.profileService.isAdmin()) {
      return true;
    }
    return this.router.parseUrl('/home');
  }
}
