import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Router, UrlTree } from '@angular/router';
import { ProfileService } from '../profile/services/profile.service';

@Injectable({
  providedIn: 'root',
})
export class IsPersonalOfferOwnerGuard {
  constructor(private router: Router, private profileService: ProfileService) {}

  async canActivate(route: ActivatedRouteSnapshot): Promise<boolean | UrlTree> {
    const personalOffer = route.params.id;
    const isPersonalOfferOwner = await this.profileService.isPersonalOfferOwner(personalOffer);
    if (isPersonalOfferOwner) {
      return true;
    }
    return this.router.parseUrl('/home');
  }
}
