import { HttpClient, HttpClientModule } from '@angular/common/http';
import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';
import { ToastrModule, ToastrService } from 'ngx-toastr';
import { ProfileService } from '../profile/services/profile.service';
import { AuthService } from '../services/auth.service';
import { NotificationService } from '../services/notification.service';
import { ButtonComponent, SvgIconComponent } from '../shared/components';
import { HeaderComponent } from './header.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<HeaderComponent> = {
  title: 'Objects/Header',
  component: HeaderComponent,
  tags: ['autodocs'],
  render: (args) => ({ props: args }),

  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent, ButtonComponent],
      imports: [HttpClientModule, ToastrModule.forRoot()],
      providers: [AuthService, ProfileService, NotificationService, ToastrService, HttpClient],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<HeaderComponent>;

export const Header: Story = {
  args: {},
};
