import { Injectable } from '@angular/core';

import { Observable } from 'rxjs';
import { map, catchError } from 'rxjs/operators';
import { TagWithMeta } from '../models/tagWithMeta.model';
import { PostService } from '../services/post.service';

@Injectable()
export class TagResolver {
  constructor(private postService: PostService) {}

  resolve(): Observable<TagWithMeta> {
    return this.postService.getTags().pipe(
      map((res) => res),
      catchError(() => {
        return new Observable<TagWithMeta>();
      })
    );
  }
}
