import { Component, Input } from '@angular/core';
import { Router } from '@angular/router';
import { get } from 'lodash';
import { Owner } from '../../../models/owner.model';
import { User } from '../../../models/user.model';

@Component({
  selector: 'app-profile-structure-member',
  templateUrl: './profile-structure-member.component.html',
  styleUrls: ['./profile-structure-member.component.scss'],
})
export class ProfileStructureMemberComponent {
  @Input() public member: User | Owner;

  constructor(private router: Router) {}

  getJobEmployer(): string {
    if (this.member.job?.name && this.member.employer?.name) {
      return this.member.job.name + ', ' + this.member.employer.name;
    }
    if (this.member.job?.name && !this.member.employer?.name) {
      return this.member.job.name;
    }
    if (!this.member.job?.name && this.member.employer?.name) {
      return this.member.employer.name;
    }
    return '';
  }

  /** Depending on User or Owner return the phone number of false */
  getPhone(): string | false {
    return get(this.member, 'phone') ?? false;
  }

  goToProfile(): void {
    this.router.navigateByUrl(`/profile/${this.member._id}`);
  }
}
