import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { IOrientationIndicator } from '../form/orientation-form-view/interfaces/orientationIndicator.interface';

@Injectable({
  providedIn: 'root',
})
export class IndicatorService {
  constructor(private http: HttpClient) {}

  /**
   * Send orientation indicator to server
   */
  public createOrientationIndicator(newOrientationIndicator: IOrientationIndicator): Observable<IOrientationIndicator> {
    return this.http.post<IOrientationIndicator>('/api/indicator/orientation', newOrientationIndicator);
  }
}
