import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { IAppointment } from '../form/orientation-form-view/interfaces/appointment.interface';
import { IOnlineMediation } from '../form/orientation-form-view/interfaces/onlineMediation.interface';
import { Structure } from '../models/structure.model';
import { User } from '../models/user.model';

@Injectable({
  providedIn: 'root',
})
export class OrientationService {
  constructor(private http: HttpClient) {}

  // User for rdv from annuaire
  public rdvUser: User;

  // Structure for rdv from structure-details
  public rdvStructure: Structure;

  /**
   * Send appointment to server
   */
  public createAppointment(newAppointment: IAppointment): Observable<IAppointment> {
    return this.http.post<IAppointment>('/api/appointment', newAppointment);
  }

  /**
   * Send online mediation to server
   */
  public createOnlineMediation(newMediation: IOnlineMediation): Observable<IOnlineMediation> {
    return this.http.post<IOnlineMediation>('/api/online-mediation', newMediation);
  }
}
