import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { Structure } from '../models/structure.model';
import { User } from '../models/user.model';

@Injectable({
  providedIn: 'root',
})
export class UserService {
  private readonly baseUrl = 'api/users';
  constructor(private http: HttpClient) {}

  public getUser(userId: string): Observable<User> {
    return this.http.get<User>(`${this.baseUrl}/${userId}`);
  }
  public joinStructure(id: string, email: string): Observable<Structure> {
    return this.http.post<any>(`${this.baseUrl}/join-request/${id}`, { email });
  }

  public validateJoinStructure(token: string, status: string): Observable<any> {
    return this.http.get<any>(`${this.baseUrl}/join-validate/${token}/${status}`);
  }
  public cancelJoin(idStructure: string, idUser: string): Observable<any> {
    return this.http.get<any>(`${this.baseUrl}/join-cancel/${idStructure}/${idUser}
    `);
  }
}
