import { Component, EventEmitter, Output } from '@angular/core';
import { ButtonTypeV3 } from '../v3/button/button-type.enum';

@Component({
  selector: 'app-go-back',
  template: `<app-v3-button
    [label]="'Retour'"
    [variant]="buttonTypeEnumV3.Tertiary"
    [iconFolder]="'ico'"
    [iconName]="'arrowBackSmall'"
    [size]="'large'"
    (action)="this.action.emit()"
  /> `,
})
export class GoBackComponent {
  @Output() action = new EventEmitter<Event>();

  public buttonTypeEnumV3 = ButtonTypeV3;
}
