import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonTypeV3 } from '../button-type.enum';

@Component({
  selector: 'app-v3-icon-button',
  templateUrl: './icon-button.component.html',
  styleUrls: ['../button.component.scss'],
})
export class IconButtonV3Component {
  /** HTML type of the button */
  @Input() type: 'submit' | 'button' | 'reset' = 'button';

  /** What variant should the button be ? */
  @Input() variant?: ButtonTypeV3 = ButtonTypeV3.Primary;

  /** Affects the height of the button */
  @Input() size?: 'small' | 'medium' = 'small';

  /** Should the button be disabled ? */
  @Input() disabled = false;

  /** Folder of the icon ex: assets/ico */
  @Input() iconFolder = 'ico';

  /** Icon name */
  @Input() iconName: string;

  /** Click handler */
  @Output() action = new EventEmitter<Event>();

  public get classes(): string[] {
    return ['icon-only', this.variant, this.size];
  }
}
