import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { SvgIconComponent } from '../../svg-icon/svg-icon.component';
import { CheckboxV3Component } from './checkbox.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<CheckboxV3Component> = {
  title: 'Components/Checkbox',
  component: CheckboxV3Component,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<CheckboxV3Component>;

export const CheckBoxSmall: Story = {
  args: {
    checked: true,
    size: 'small',
  },
};

export const CheckboxMedium: Story = {
  args: {
    checked: false,
    size: 'medium',
  },
};

export const CheckboxMediumChecked: Story = {
  args: {
    ...CheckboxMedium.args,
    checked: true,
  },
};

export const CheckboxMediumIndeterminate: Story = {
  args: {
    ...CheckboxMedium.args,
    indeterminate: true,
  },
};

export const DisabledNotChecked: Story = {
  args: {
    disabled: true,
    checked: false,
  },
};

export const DisabledChecked: Story = {
  args: {
    disabled: true,
    checked: true,
  },
};

export const DisabledIndeterminate: Story = {
  args: {
    disabled: true,
    indeterminate: true,
  },
};
