import { AUTO_STYLE, animate, state, style, transition, trigger } from '@angular/animations';
import { Component } from '@angular/core';

@Component({
  selector: 'app-collapse-content',
  template: `<div style="overflow: hidden" [@collapse]="expanded">
    <ng-content></ng-content>
  </div>`,
  animations: [
    trigger('collapse', [
      state('false', style({ height: '0px', visibility: 'hidden' })),
      state('true', style({ height: AUTO_STYLE, visibility: AUTO_STYLE })),
      transition('true => *', animate('300ms ease-in')),
      transition('* => true', animate('300ms ease-out')),
    ]),
  ],
})
export class CollapseContentComponent {
  expanded = false;
}
