import { Component, EventEmitter, Output } from '@angular/core';

@Component({
  selector: 'app-collapse-header',
  template: `<div
    class="collapse-header"
    [ngClass]="size"
    role="button"
    tabindex="0"
    (click)="toggle.emit()"
    (keyup.enter)="toggle.emit()"
  >
    <ng-content></ng-content>
    <app-svg-icon [ngClass]="expanded && 'expanded'" [type]="'ico'" [icon]="'fold'" [iconClass]="'icon-32'" />
  </div>`,
  styleUrls: ['collapse-header.component.scss'],
})
export class CollapseHeaderComponent {
  @Output() toggle = new EventEmitter<void>();
  expanded = false;
  size: 'small' | 'medium' = 'small';
}
