import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-input',
  templateUrl: './input.component.html',
  styleUrls: ['./input.component.scss'],
})
export class InputV3Component {
  /** HTML id associated with for */
  @Input() id: string;

  @Input() type: 'text' | 'password' = 'text';

  @Input() disabled = false;

  /** Label for the radio */
  @Input() label?: string;

  @Input() size?: 'small' | 'large';

  /** Additional label description */
  @Input() description?: string;

  /** What additional data should be displayed ? */
  @Input() status?: 'error' | 'success' | 'info' | 'warning';

  /** Additional text to display */
  @Input() statusText?: string;

  @Input() ngModelValue: string;

  @Output() ngModelValueChange = new EventEmitter<string>();

  public get classes(): string {
    return [this.size, this.status].join(' ');
  }

  getStatusText(): string {
    if (this.statusText) return this.statusText;

    switch (this.status) {
      case 'success':
        return `${this.label} valide`;
      case 'error':
        return `${this.label} invalide`;
      default:
        break;
    }
  }
}
