import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { SvgIconComponent } from '../../svg-icon/svg-icon.component';
import { CheckboxV3Component } from '../checkbox/checkbox.component';
import { LabelCheckboxV3Component } from './label-checkbox.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<LabelCheckboxV3Component> = {
  title: 'Components/Label checkbox',
  component: LabelCheckboxV3Component,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent, CheckboxV3Component],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<LabelCheckboxV3Component>;

export const Label: Story = {
  args: {
    label: 'Label case à cocher',
    for: 'check1',
    checked: false,
  },
};

export const LabelChecked: Story = {
  args: {
    label: 'Label case à cocher',
    for: 'check2',
    checked: true,
  },
};

export const LabelDescribed: Story = {
  args: {
    ...Label.args,
    for: 'check3',
    description: 'Texte de description additionnel',
  },
};

export const LabelSuccess: Story = {
  args: {
    ...LabelDescribed.args,
    for: 'check4',
    status: 'success',
    statusText: 'Texte de succès',
  },
};

export const LabelError: Story = {
  args: {
    ...LabelDescribed.args,
    for: 'check5',
    status: 'error',
    statusText: "Texte d'erreur",
  },
};
