import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-radio',
  templateUrl: './radio.component.html',
  styleUrls: ['./radio.component.scss'],
})
export class RadioV3Component {
  /** HTML id associated with for */
  @Input() id: string;

  /** Checked ? */
  @Input() checked: boolean;

  /** What size should the checkbox be ? */
  @Input() size?: 'small' | 'medium' = 'medium';

  @Input() disabled?: boolean;

  /** Label for the radio */
  @Input() label?: string;

  /** Additional label description */
  @Input() description?: string;

  /** Optional icon to display between the radio and label */
  @Input() iconName?: string;

  @Output() action = new EventEmitter<Event>();

  public get classes(): string[] {
    return [this.size];
  }
}
