import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonTypeV3 } from '../button/button-type.enum';

@Component({
  selector: 'app-v3-search-bar',
  templateUrl: './search-bar.component.html',
  styleUrls: ['./search-bar.component.scss'],
})
export class SearchBarV3Component {
  @Input() placeholder = 'Rechercher';
  @Input() value = '';
  /** Triggers when input changes */
  @Output() valueChange = new EventEmitter<string>();
  /** Triggers when button is clicked or Enter is pressed on input */
  @Output() search = new EventEmitter<string>();

  public buttonTypeV3 = ButtonTypeV3;

  public handleSearch(): void {
    this.search.emit(this.value);
  }

  public onChange(event: Event): void {
    this.value = (event.target as HTMLInputElement).value;
    this.valueChange.emit(this.value);
  }
}
