import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { SvgIconComponent } from '../../svg-icon/svg-icon.component';
import { ButtonV3Component } from '../button/button.component';
import { IconButtonV3Component } from '../button/icon-button/icon-button.component';
import { SearchBarV3Component } from './search-bar.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<SearchBarV3Component> = {
  title: 'Components/Search bar',
  component: SearchBarV3Component,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [IconButtonV3Component, ButtonV3Component, SvgIconComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<SearchBarV3Component>;

export const Default: Story = {
  args: {},
};

export const Placeholder: Story = {
  args: {
    placeholder: 'Rechercher un mot, une référence...',
  },
};
