import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-switch',
  templateUrl: './switch.component.html',
  styleUrls: ['./switch.component.scss'],
})
export class SwitchComponent {
  /** Label text to display */
  @Input() label: string;

  /** Switch checked value */
  @Input() checked: boolean;

  /** Status text for the switch */
  @Input() checkedText?: string = 'Activé';
  @Input() uncheckedText?: string = 'Désactivé';

  /** Disabled switch event */
  @Input() disabled = false;

  /** Click event */
  @Output() action = new EventEmitter<boolean>();

  public getStatusText(): string {
    return this.checked ? this.checkedText : this.uncheckedText;
  }

  public getAltText(): string {
    return this.label + ' : ' + this.getStatusText();
  }

  public handleClick(): void {
    if (this.disabled) {
      return;
    }
    this.checked = !this.checked;
    this.action.emit(this.checked);
  }
}
