import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-textarea',
  templateUrl: './textarea.component.html',
  styleUrls: ['./textarea.component.scss'],
})
export class TextareaV3Component {
  /** HTML id associated with for */
  @Input() id: string;

  @Input() disabled = false;

  /** Label for the radio */
  @Input() label?: string;

  /** Additional label description */
  @Input() description?: string;

  /** Max length of the input */
  @Input() maxLength = 500;

  /** What additional data should be displayed ? */
  @Input() status?: 'error' | 'success' | 'info' | 'warning';

  /** Additional text to display */
  @Input() statusText?: string;

  /** Value */
  @Input() value = '';

  @Output() valueChange = new EventEmitter<string>();

  public onValueChange(event: Event): void {
    this.valueChange.emit((event.target as HTMLTextAreaElement).value);
  }
}
