import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { TextareaV3Component } from './textarea.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<TextareaV3Component> = {
  title: 'Components/Textarea',
  component: TextareaV3Component,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<TextareaV3Component>;

export const Textarea: Story = {
  args: {
    id: 'input1',
    label: 'Label',
    onValueChange: (event) => console.log((event.target as HTMLTextAreaElement).value),
  },
};

export const InputWithDescription: Story = {
  args: {
    ...Textarea.args,
    id: 'input2',
    description: 'Texte de description additionnel',
  },
};

export const InputDisabled: Story = {
  args: {
    ...InputWithDescription.args,
    id: 'input3',
    disabled: true,
  },
};

export const InputWithError: Story = {
  args: {
    ...InputWithDescription.args,
    id: 'input4',
    label: 'Label',
    status: 'error',
    statusText: "Texte d'erreur obligatoire",
  },
};

export const InputWithSuccess: Story = {
  args: {
    ...InputWithDescription.args,
    id: 'input5',
    label: 'Label',
    status: 'success',
    statusText: 'Texte de succès',
  },
};
