import { Directive, ElementRef, EventEmitter, HostListener, Output } from '@angular/core';

@Directive({
  selector: '[appClickOutside]',
})
export class ModalOutsideDirective {
  constructor(private elementRef: ElementRef) {}

  @Output() appClickOutside = new EventEmitter<any>();

  @HostListener('document:mousedown', ['$event.target']) onMouseEnter(targetElement): void {
    const clickedInside = this.elementRef.nativeElement.contains(targetElement);
    if (!clickedInside) {
      this.appClickOutside.emit(null);
    }
  }
}
