import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: 'userName' })
export class UserNamePipe implements PipeTransform {
  /**
   * @example
   * {{ 'dominique' | userName }}
   * // returns 'Dominique'
   * @example
   * {{ 'jEaN-piERre' | userName }}
   * // returns 'Jean-Pierre'
   */
  transform(userName: string): string {
    const words = userName.split('-');
    return words.map((word) => word[0].toUpperCase() + word.slice(1).toLowerCase()).join('-');
  }
}
