import { FormGroup, ValidationErrors } from '@angular/forms';

export class FormValidators {
  public static requirePhoneOrMail(controls: string[] = null) {
    return (group: FormGroup): ValidationErrors | null => {
      if (!controls) {
        controls = Object.keys(group.controls);
      }

      const hasAtLeastOne = controls.some((k) => group.controls[k].valid && group.controls[k].value);
      return hasAtLeastOne ? null : { requirePhoneOrMail: true };
    };
  }
}
